<?xml version="1.0" encoding="utf-8"?>

<creole>

    <files>

        <service_access service='ldm'>
            <port>9571</port>
            <tcpwrapper>ldminfod</tcpwrapper>
        </service_access>
        <service_access service='nbd'>
            <port>10809</port>
        </service_access>

        <file name='/etc/idmapd.conf'/>
        <file name='/etc/default/nfs-common'/>
        <file name='/etc/default/portmap'/>
        <file name='/etc/nslcd.conf'/>

        <file name='/etc/ltsp/ltsp-build-client.conf'/>
	<file name='/etc/nbd-server/conf.d/swap.conf'/>
	<file name='/etc/ltsp/seconde_image.conf' filelist="seconde_image"/>
        <file name='/etc/X11/Xsession.d/60scribe-xfce4-session'/>
        <file name='/etc/security/group.conf'/>
        <file name='/etc/pam.d/common-auth'/>
        <file name='/usr/share/ltsp/plugins/ltsp-build-client/Ubuntu/010-apt-eole'/>
	<file name='/usr/share/ltsp/plugins/ltsp-build-client/Ubuntu/031-nbd-tftp'/>
        <file name='/usr/share/ltsp/plugins/ltsp-build-client/Ubuntu/031-gaspacho-agent'/>

    </files>

    <variables>

        <family name="services">
            <variable name='activer_client_ldap' redefine='True' hidden='True'>
                <value>distant</value>
            </variable>
            <variable name='activer_dhcp' redefine='True' mode='expert'>
                <value>non</value>
            </variable>
            <variable name='activer_tftp' redefine='True' hidden='True'>
                <value>oui</value>
            </variable>
        </family>

        <family name="ltsp" icon='book'>
            <variable name='adresse_serveur_nfs' type='domain' description="Adresse IP ou nom DNS du serveur NFS" mandatory='True'/>
            <variable name='ltsp_chroot_base' type='filename' description="Répertoire du chroot et des images pour les clients légers" mode='expert'>
                <value>/opt/ltsp</value>
            </variable>
            <variable name='bureau_graphique_thin' type='string' description="Nom du bureau graphique pour les clients légers thin" mode='expert'>
                <value>mate</value>
            </variable>
            <variable name="ltsp_client_type" type="string" description="Type de l'image à générer sur le serveur" mandatory="True">
                <value>thin</value>
            </variable>
            <variable name='ltsp_client_arch' type='string' description="Architecture matérielle de l'image" mandatory="True">
                <value>amd64</value>
            </variable>
            <variable name='bureau_graphique' type='string' description="Nom du bureau graphique" mode='expert'>
                <value>mate</value>
            </variable>
            <!-- seconde image pour les clients légers -->
            <variable name="activer_seconde_image" type="oui/non" description="Générer une configuration pour une deuxième image">
	      <value>non</value>
	    </variable>
            <variable name="ltsp_client_type_1" type="string" description="Type de l'image à générer sur le serveur" mandatory="True">
                <value>fat</value>
            </variable>
            <variable name='ltsp_client_arch_1' type='string' description="Architecture matérielle de l'image" mandatory="True">
                <value>amd64</value>
            </variable>
            <variable name='bureau_graphique_1' type='string' description="Nom du bureau graphique" mode='expert'>
                <value>mate</value>
            </variable>
        </family>

        <family name="annuaire">
            <variable name='ldap_nss' redefine='True' hidden='True'>
                <value>oui</value>
            </variable>
        </family>

        <family name='tftp' mode='expert'>
            <variable name='adresse_ip_tftp' redefine='True' hidden='True'/>
            <variable name='repertoire_tftp' redefine='True'>
	      <value>/var/lib/tftpboot/ltsp/</value>
	    </variable>
            <variable name='chemin_fichier_pxe' redefine='True' hidden='True' remove_condition='True'/>
        </family>
        <separators>
            <separator name='adresse_serveur_nfs'>Configuration générale de l'environnement</separator>
            <separator name='ltsp_client_type'>Configuration de l'image par défaut</separator>
            <separator name='activer_seconde_image'>Configuration d'une seconde image</separator>
        </separators>
    </variables>

    <constraints>
        <check name='valid_enum' target='ltsp_client_type'>
            <param>['fat','thin']</param>
        </check>
        <check name='valid_enum' target='ltsp_client_type_1'>
            <param>['fat','thin']</param>
        </check>
        <check name='valid_enum' target='ltsp_client_arch'>
            <param>['amd64','i386']</param>
        </check>
        <check name='valid_enum' target='ltsp_client_arch_1'>
            <param>['amd64','i386']</param>
        </check>
        <check name='valid_enum' target='bureau_graphique_thin'>
            <param>['mate','xfce4']</param>
        </check>
        <check name='valid_enum' target='bureau_graphique'>
            <param>['mate']</param>
        </check>
        <check name='valid_enum' target='bureau_graphique_1'>
            <param>['mate']</param>
        </check>

        <condition name="disabled_if_in" source="activer_seconde_image">
            <param>non</param>
            <target>ltsp_client_type_1</target>
            <target>ltsp_client_arch_1</target>
            <target>bureau_graphique_1</target>
            <target type="filelist">seconde_image</target>
        </condition>
        <condition name="disabled_if_in" source='ltsp_client_type'>
            <param>thin</param>
            <target>bureau_graphique</target>
        </condition>
        <condition name="disabled_if_in" source='ltsp_client_type_1'>
            <param>thin</param>
            <target>bureau_graphique_1</target>
        </condition>
        <fill name='calc_val' target='adresse_serveur_nfs'>
            <param type='eole'>adresse_ip_ldap</param>
        </fill>
        <!--
        <auto name='concat_path' target='repertoire_tftp'>
            <param>/var/lib/tftpboot/ltsp/</param>
            <param type='eole'>ltsp_client_arch</param>
        </auto>
        <fill name='calc_val' target='adresse_ip_gaspacho'>
            <param type='eole'>adresse_ip_ldap</param>
        </fill>-->

    </constraints>

    <help>
      <family name='ltsp'>Configuration générale du serveur de clients légers</family>
        <variable name='bureau_graphique'>Nom de l'environnement de bureau par défaut pour les clients légers</variable>
        <variable name='adresse_serveur_nfs'>Nom de domaine ou l'adresse IP du serveur NFS</variable>
        <variable name='ltsp_client_arch'>Architecture matérielle des clients légers</variable>
        <variable name='ltsp_chroot_base'>Répertoire de base du chroot et des images pour les clients légers</variable>
    </help>

</creole>
<!-- vim: ts=4 sw=4 expandtab
-->
